Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.event
Interface ChartChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  ChartPanel, PolarChartPanel

    public interface ChartChangeListener

extends java.util.EventListener

The interface that must be supported by classes that wish to receive notification of chart events.

The `ChartPanel` class registers itself with the chart it displays, and whenever the chart changes, the panel redraws itself.

Method Summary
`void` | `chartChanged(ChartChangeEvent event)` Receives notification of a chart change event.

Method Detail

### chartChanged

    void chartChanged(ChartChangeEvent event)

  Receives notification of a chart change event.

  Parameters:
    `event` - the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD